# Generated by Django 2.2.12 on 2020-04-21 15:47

from django.db import migrations, models
import jsonfield.fields
import shortuuidfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='OrderInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('order_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='订单唯一标识', max_length=22)),
                ('prepay_id', models.CharField(blank=True, help_text='预支付交易会话标识', max_length=64, null=True, verbose_name='prepay_id')),
                ('transaction_id', models.CharField(blank=True, help_text='交易单号', max_length=32, null=True, verbose_name='transaction_id')),
                ('pack_id', models.CharField(blank=True, db_index=True, help_text='包唯一标识', max_length=32, null=True, verbose_name='pack_id')),
                ('goods_info', jsonfield.fields.JSONField(blank=True, default=[], help_text='商品信息', null=True, verbose_name='goods_info')),
                ('user_id', models.CharField(blank=True, db_index=True, help_text='用户唯一标识', max_length=32, null=True, verbose_name='kol_id')),
                ('kol_id', models.CharField(blank=True, db_index=True, help_text='kol_id唯一标识', max_length=32, null=True, verbose_name='kol_id')),
                ('body', models.CharField(blank=True, help_text='商品描述', max_length=255, null=True, verbose_name='body')),
                ('total_fee', models.IntegerField(default=0, help_text='总金额', verbose_name='total_fee')),
                ('name', models.CharField(blank=True, help_text='姓名', max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, help_text='电话', max_length=255, null=True, verbose_name='phone')),
                ('address', models.CharField(blank=True, help_text='地址', max_length=255, null=True, verbose_name='address')),
                ('tracking_number', models.CharField(blank=True, help_text='快递单号', max_length=255, null=True, verbose_name='tracking_number')),
                ('has_send_template_message', models.BooleanField(db_index=True, default=True, help_text='是否已发送模版消息', verbose_name='has_send_template_message')),
                ('trade_type', models.CharField(blank=True, help_text='支付方式', max_length=255, null=True, verbose_name='trade_type')),
                ('pay_status', models.IntegerField(choices=[(0, '待支付'), (1, '已支付'), (2, '已失败')], db_index=True, default=0, help_text='支付状态', verbose_name='pay_status')),
                ('paid_at', models.DateTimeField(blank=True, help_text='支付时间', null=True, verbose_name='paid_at')),
                ('reback_status', models.BooleanField(db_index=True, default=False, help_text='退款状态', verbose_name='reback_status')),
                ('reback_at', models.DateTimeField(blank=True, help_text='退款时间', null=True, verbose_name='reback_at')),
                ('unifiedorder_result', models.TextField(blank=True, help_text='统一下单结果', null=True, verbose_name='unifiedorder_result')),
                ('notify_msg', models.TextField(blank=True, help_text='回调信息', null=True, verbose_name='notify_msg')),
            ],
            options={
                'verbose_name': '订单信息',
                'verbose_name_plural': '订单信息',
            },
        ),
    ]
